Package org.springframework.aop.support

# Class AbstractPointcutAdvisor

java.lang.Object
org.springframework.aop.support.AbstractPointcutAdvisor

All Implemented Interfaces:
  `Serializable`, `Advisor`, `PointcutAdvisor`, `org.springframework.core.Ordered`

Direct Known Subclasses:
  `AbstractBeanFactoryPointcutAdvisor`, `AbstractGenericPointcutAdvisor`

public abstract class AbstractPointcutAdvisor extends Object implements PointcutAdvisor, org.springframework.core.Ordered, Serializable
Abstract base class for `PointcutAdvisor` implementations. Can be subclassed for returning a specific pointcut/advice or a freely configurable pointcut/advice.

Since:
  1.1.2
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `AbstractGenericPointcutAdvisor`
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractPointcutAdvisor()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`getOrder()`
`int`
`hashCode()`
`void`
`setOrder(int order)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`getAdvice, isPerInstance`

### Methods inherited from interface org.springframework.aop.PointcutAdvisor

`getPointcut`

## Constructor Details

### AbstractPointcutAdvisor

public AbstractPointcutAdvisor()

## Method Details

### setOrder

public void setOrder(int order)

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`